var NAVTREE =
[
  [ "Med Memory Users' Guide", "index.html", [
    [ "MEDMEM user's guide", "index.html", null ],
    [ "Related Pages", "pages.html", [
      [ "Barycentric coordinates algorithm", "barycoords.html", null ],
      [ "DualMESH", "dualmesh.html", null ],
      [ "Extractor", "extractor.html", null ],
      [ "FIELD", "field.html", null ],
      [ "Geometric2D Intersector", "interpkernelGeo2D.html", null ],
      [ "GRID", "grid.html", null ],
      [ "Interpolation kernel toolkit", "interpkernel.html", null ],
      [ "MED object", "MED_class.html", null ],
      [ "MEDMEM library", "medmem.html", null ],
      [ "ParaMEDMEM library", "paramedmem.html", null ],
      [ "Configuring and Installing MEDMEM from sources", "medmem_install.html", null ],
      [ "MEDSPLITTER tool", "medsplitter.html", null ],
      [ "MESH", "mesh.html", null ],
      [ "MESHING", "meshing.html", null ],
      [ "Polyhedra and polygons", "polygon.html", null ],
      [ "Intersectors", "InterpKerIntersectors.html", null ],
      [ "SUPPORT", "support.html", null ],
      [ "MEDMEM tools", "tools.html", null ]
    ] ],
    [ "Modules", "modules.html", [
      [ "References", "group__references.html", null ],
      [ "Plannar Intersector", "group__InterpKerGrpIntPlan.html", [
        [ "Functions", "group__InterpKerGrpIntPlan.html", [
          [ "intersectCells", "group__InterpKerGrpIntPlan.html#gab74067cd233fb3123bca765a8497f119", null ]
        ] ]
      ] ],
      [ "CommInterface", "group__comm__interface.html", null ],
      [ "DEC", "group__dec.html", [
        [ "Functions", "group__dec.html", [
          [ "DEC", "group__dec.html#gaec97434903fd5e85ef6cbed933b03f37", null ],
          [ "~DEC", "group__dec.html#ga4996477247ec86a8d366d643bb225352", null ],
          [ "setNature", "group__dec.html#ga8f811ef0f742b7cbc081626b587e766d", null ],
          [ "attachLocalField", "group__dec.html#gada2056a5bc3015117fe29f734e183689", null ],
          [ "attachLocalField", "group__dec.html#ga09b7c185795d7cbd8082a5c554f592b4", null ],
          [ "attachLocalField", "group__dec.html#ga4ffa722ccd502a5e3c627f841e76e278", null ],
          [ "renormalizeTargetField", "group__dec.html#ga6ecda7a9e35c65e8254178ad7ee809ea", null ]
        ] ]
      ] ],
      [ "Processor Groups", "group__processor__group.html", [
        [ "Functions", "group__processor__group.html", [
          [ "MPIProcessorGroup", "group__processor__group.html#gac8f41fba4635ac7db419afffbd9b04b7", null ],
          [ "MPIProcessorGroup", "group__processor__group.html#ga4deb9255f9c029364ee06c6172572884", null ],
          [ "translateRank", "group__processor__group.html#gaec817a113f6040bbf3bfa8d74c488f47", null ],
          [ "createComplementProcGroup", "group__processor__group.html#ga7a8cc5aaea3e13e82ee0dc9dff478c8e", null ],
          [ "fuse", "group__processor__group.html#gaa24023ea73df0bf1ddf11a39ab6d21e7", null ]
        ] ]
      ] ],
      [ "NonCoincidentDEC", "group__noncoincidentdec.html", [
        [ "Functions", "group__noncoincidentdec.html", [
          [ "NonCoincidentDEC", "group__noncoincidentdec.html#ga2479a67d7abbe2f957536435d1c074db", null ],
          [ "~NonCoincidentDEC", "group__noncoincidentdec.html#gabc282063cf1f8ebba53253e252c4672d", null ],
          [ "synchronize", "group__noncoincidentdec.html#gadb21b755087251bb25a26c1ad103b416", null ],
          [ "recvData", "group__noncoincidentdec.html#ga83dc4204fcd35c9dc05b273bc71138a0", null ],
          [ "sendData", "group__noncoincidentdec.html#ga544aedacfabbd5a1aee1f4756e6b8a5b", null ]
        ] ]
      ] ],
      [ "ParaFIELD", "group__parafield.html", [
        [ "Functions", "group__parafield.html", [
          [ "ParaFIELD", "group__parafield.html#gaa95ef67376abfcec98a5fc49c51d0498", null ],
          [ "ParaFIELD", "group__parafield.html#gac89d0d9d1e912a7b06dd48aa27c2492c", null ],
          [ "~ParaFIELD", "group__parafield.html#ga125965d6ae35ba80bb5d174f9a48c532", null ],
          [ "synchronizeTarget", "group__parafield.html#ga64de101f411c2cf2f683f5b2228fc82c", null ],
          [ "synchronizeSource", "group__parafield.html#ga879933f51cc27639c103b23eb8b70b12", null ],
          [ "returnCumulativeGlobalNumbering", "group__parafield.html#ga1f5c959252cd0db2eeaea474240adde6", null ],
          [ "returnGlobalNumbering", "group__parafield.html#gad98f3ec9017a83d65791fa6914faba67", null ],
          [ "nbComponents", "group__parafield.html#gae2c4a116d03572e532b65c1006debf31", null ],
          [ "getVolumeIntegral", "group__parafield.html#gad347694f775733e77cc6e1f9cb96d6bf", null ]
        ] ]
      ] ],
      [ "StructuredCoincidentDEC", "group__structuredcoincidentdec.html", [
        [ "Functions", "group__structuredcoincidentdec.html", [
          [ "StructuredCoincidentDEC", "group__structuredcoincidentdec.html#ga8f6194f5cab50774de8c8b7b5763da93", null ],
          [ "prepareSourceDE", "group__structuredcoincidentdec.html#gaa646ad4ce967442368bb701d88a8aa90", null ],
          [ "prepareTargetDE", "group__structuredcoincidentdec.html#gae20f72254ae48c289fe2dcd8ff905c16", null ],
          [ "recvData", "group__structuredcoincidentdec.html#ga33c29e462fca3a7641dce711f0dbf81a", null ],
          [ "sendData", "group__structuredcoincidentdec.html#gaa15dbcd8fe20c2fd1e77caa27b555596", null ],
          [ "synchronize", "group__structuredcoincidentdec.html#ga6bdfefbe955b5e6cd8485b7ae4f64e3e", null ]
        ] ]
      ] ],
      [ "Interpolation3D", "group__interpolation3D.html", null ],
      [ "Reading and writing files", "group__FIELD__io.html", [
        [ "Functions", "group__FIELD__io.html", [
          [ "addDriver", "group__FIELD__io.html#ga2962b83abb08de62f40e06e5a5c3bca5", null ],
          [ "addDriver", "group__FIELD__io.html#ga28584be669618d4863279011edac7cf1", null ],
          [ "read", "group__FIELD__io.html#ga35dbee88d1831b135ece3bfd3584ff3c", null ],
          [ "read", "group__FIELD__io.html#gae39591823b781bdaa4a64b8078f2ac1c", null ],
          [ "openAppend", "group__FIELD__io.html#ga0afaf2402315f43655ba1f06cc2a6d2f", null ],
          [ "write", "group__FIELD__io.html#ga749de06ae2ee8a9cdc79a92bf0a737d2", null ],
          [ "write", "group__FIELD__io.html#ga10eb462b20523b784b1b40a1cc77d74e", null ],
          [ "FIELD", "group__FIELD__io.html#ga673093626ea9fc2333f9d823e57cfb93", null ],
          [ "FIELD", "group__FIELD__io.html#gad78c3ff58afd946699ccb9082500f350", null ],
          [ "addDriver", "group__FIELD__io.html#ga12ce674f83f21b778b082ca16c99e069", null ],
          [ "write", "group__FIELD__io.html#ga67dcbcc9db17a45d1919449498859a04", null ]
        ] ]
      ] ],
      [ "FIELD<T> constructors", "group__FIELD__constructors.html", [
        [ "Functions", "group__FIELD__constructors.html", [
          [ "FIELD", "group__FIELD__constructors.html#ga76bf54a3a79225bae5a054dc43d1968a", null ]
        ] ]
      ] ],
      [ "Numerical operations on fields", "group__FIELD__algo.html", [
        [ "Functions", "group__FIELD__algo.html", [
          [ "operator+", "group__FIELD__algo.html#ga76ce2724147febd1d5ba33e8dd1c3327", null ],
          [ "operator+=", "group__FIELD__algo.html#gafb7ceb6ed71d24ce27d96df677566d42", null ],
          [ "add", "group__FIELD__algo.html#ga8e7e0300f88317b5a1ef566519fa8e0f", null ],
          [ "addDeep", "group__FIELD__algo.html#ga4f8e29fc7243a5e8282aad8bf8fc822d", null ],
          [ "operator-", "group__FIELD__algo.html#ga710f9ca83d77c04370e9228975c7f129", null ],
          [ "operator-", "group__FIELD__algo.html#gaf6a7ec4ed147e8175c7d80d8238de4db", null ],
          [ "operator-=", "group__FIELD__algo.html#ga1f0406b758283317b1c0652599a2cb78", null ],
          [ "applyLin", "group__FIELD__algo.html#ga20a2c30874fddd337484755e6d966da7", null ],
          [ "sub", "group__FIELD__algo.html#gaabc2e10e1d9b861d9eb52d1253797618", null ],
          [ "subDeep", "group__FIELD__algo.html#gac6b023ca93ca2a1721d85e802e8de6bc", null ],
          [ "operator*", "group__FIELD__algo.html#ga5b987de7e06ccdee2527834b5d2d0358", null ],
          [ "operator*=", "group__FIELD__algo.html#ga1b6be93e1ef93fa9867753484df7f749", null ],
          [ "mul", "group__FIELD__algo.html#ga3e3a2a38de832b72d12bf5bccb386c03", null ],
          [ "mulDeep", "group__FIELD__algo.html#gaab1bf2404223c0faf839e7af33bbcc26", null ],
          [ "operator/", "group__FIELD__algo.html#ga2791cd7edc27c2f9045b982847f21672", null ],
          [ "operator/=", "group__FIELD__algo.html#ga35ebb4a6c4ddf2ff3ac3f838e67dc510", null ],
          [ "div", "group__FIELD__algo.html#ga70027e938cf1f722099391aa4ea10a68", null ],
          [ "divDeep", "group__FIELD__algo.html#ga147698a640bfa50a47828d6d7597a49e", null ],
          [ "normMax", "group__FIELD__algo.html#ga27d89aa54084f3e102b665a3d475e178", null ],
          [ "norm2", "group__FIELD__algo.html#gaa8bd22867c5747de461276112ece8fb2", null ],
          [ "getMinMax", "group__FIELD__algo.html#ga31ae3dd17bbd5fb0cb6d1875cf6767b2", null ],
          [ "getHistogram", "group__FIELD__algo.html#gaee1405a6250555571f348886aa72b76d", null ],
          [ "buildGradient", "group__FIELD__algo.html#gaf8725d46cb76bf25822e5bfd78872129", null ],
          [ "buildNorm2Field", "group__FIELD__algo.html#gaab81fa94f48507b7904304cec63eb1fe", null ],
          [ "applyFunc", "group__FIELD__algo.html#ga0728187260b83279390dc074f5ce8824", null ],
          [ "pow", "group__FIELD__algo.html#gabe760a31d55473a9173b8f7499578cdd", null ],
          [ "applyPow", "group__FIELD__algo.html#ga2fdff7860b6b155116c88f24eff2351e", null ],
          [ "applyLin", "group__FIELD__algo.html#ga9ec489984a82d9e26ae73d8ad399cd0f", null ],
          [ "scalarProduct", "group__FIELD__algo.html#ga3a0b9404d4c6d5ee5e18dfc89f3b033f", null ],
          [ "normL2", "group__FIELD__algo.html#ga998e5e5926aafbabf33099c9bfdc9a95", null ],
          [ "normL2", "group__FIELD__algo.html#gadf6a040d60d028226b046c22e2e1cf2a", null ],
          [ "normL1", "group__FIELD__algo.html#ga5c693d826bc66255bb1550863f4f05df", null ],
          [ "normL1", "group__FIELD__algo.html#ga75ca539be3944c41fa2d1d0a67d5ea7d", null ],
          [ "extract", "group__FIELD__algo.html#ga373e4245ff185697b0900182a07a4c9c", null ]
        ] ]
      ] ],
      [ "Basic Get/Set operations", "group__FIELD__getset.html", [
        [ "Functions", "group__FIELD__getset.html", [
          [ "setName", "group__FIELD__getset.html#ga8e4f20de1ee2708e74b80bd5d2b2af99", null ],
          [ "getName", "group__FIELD__getset.html#gaba0d0d600ce129667c0f2f01a5820f95", null ],
          [ "setDescription", "group__FIELD__getset.html#ga226d97f8fb9a5d69502d31d6e019864e", null ],
          [ "getDescription", "group__FIELD__getset.html#ga0a19fbb27cb69918afe477b2d87271b2", null ],
          [ "setNumberOfComponents", "group__FIELD__getset.html#ga1419ece3cb3c7bc5cfc3d0bfa3bb5bfb", null ],
          [ "getNumberOfComponents", "group__FIELD__getset.html#gaa7d12df2f1e26d7df841cfffa6f7cb61", null ],
          [ "setNumberOfValues", "group__FIELD__getset.html#gaed361d580b0808c5f155ea6faac3b6a7", null ],
          [ "getNumberOfValues", "group__FIELD__getset.html#gae7b9ab0276b757212f6294c98620452a", null ],
          [ "setComponentsNames", "group__FIELD__getset.html#gabaace851c91f1b405970cc6d875d50d2", null ],
          [ "setComponentName", "group__FIELD__getset.html#gaf7f315fc5bc6be15c62690953f6d745e", null ],
          [ "getComponentsNames", "group__FIELD__getset.html#ga9e93a56e5787c24de58615a0314094db", null ],
          [ "getComponentName", "group__FIELD__getset.html#ga5305cbfecafabc8c12f253ca9fa981fe", null ],
          [ "setComponentsDescriptions", "group__FIELD__getset.html#gad919350a85fa0d43e0ee2abdeeabd9b7", null ],
          [ "setComponentDescription", "group__FIELD__getset.html#ga250a1e22e5c49e96829c14c4567e1120", null ],
          [ "getComponentsDescriptions", "group__FIELD__getset.html#gada6e7968fd0631dcec931bd73085173a", null ],
          [ "getComponentDescription", "group__FIELD__getset.html#gadfc943c89e4fc90dad414cea5726611b", null ],
          [ "setComponentsUnits", "group__FIELD__getset.html#ga63ebd3c896dc4a4d34d93c5cfbfa0886", null ],
          [ "getComponentsUnits", "group__FIELD__getset.html#ga7a3d3dd576af575047e45a442157f6a0", null ],
          [ "getComponentUnit", "group__FIELD__getset.html#gaca5394f4cbfbcbf35ef751239cf09abb", null ],
          [ "setMEDComponentsUnits", "group__FIELD__getset.html#ga353e29b9fd1dca410b520484bae989a4", null ],
          [ "setMEDComponentUnit", "group__FIELD__getset.html#gaf9ae98fced0b0f1cd67db6540a80e77b", null ],
          [ "getMEDComponentsUnits", "group__FIELD__getset.html#ga953690ff19689463baa81a8dcd2ddcc0", null ],
          [ "getMEDComponentUnit", "group__FIELD__getset.html#ga702f979fa162645864dd08b4a8e9f02a", null ],
          [ "setIterationNumber", "group__FIELD__getset.html#gaebc19e81c64c853a58db962320412d0a", null ],
          [ "getIterationNumber", "group__FIELD__getset.html#ga948e05f230eee64dcd538a41c474ccfa", null ],
          [ "setTime", "group__FIELD__getset.html#gaf358f2a90203d2b25bfa03a8b3296a72", null ],
          [ "getTime", "group__FIELD__getset.html#gab9d9cfcaa968a357464e834bec9a0255", null ],
          [ "setOrderNumber", "group__FIELD__getset.html#ga8a7d19eac38f2eb1f71cd509bcdeca05", null ],
          [ "getOrderNumber", "group__FIELD__getset.html#ga1c879cd51d357adb46072a19b5c14794", null ],
          [ "getSupport", "group__FIELD__getset.html#ga987a857f8686d6382fb24061507e6901", null ],
          [ "setSupport", "group__FIELD__getset.html#gac79ccbc79faac0d75e76fd7b38784a43", null ],
          [ "getValueType", "group__FIELD__getset.html#gaaa846e2233e068b59230e0b071c79a5f", null ],
          [ "getInterlacingType", "group__FIELD__getset.html#ga3ad5077c303835b7ca9091bfd6ef2976", null ]
        ] ]
      ] ],
      [ "Gauss points", "group__FIELD__gauss.html", [
        [ "Functions", "group__FIELD__gauss.html", [
          [ "getGaussPresence", "group__FIELD__gauss.html#gac123c97ec66d818d13ce2a88b2a70c1f", null ],
          [ "getGaussLocalization", "group__FIELD__gauss.html#gac9eb1c3a7af0a8374ae88a2f5a25e795", null ],
          [ "getGaussLocalizationPtr", "group__FIELD__gauss.html#gab25499c23c1032bf6607466019267305", null ],
          [ "getGaussLocalizationRoot", "group__FIELD__gauss.html#ga6f9aa67885ade25e6647b5ac58a3b24e", null ],
          [ "setGaussLocalization", "group__FIELD__gauss.html#ga806268b7168e6c77ba56468fa3134b1d", null ],
          [ "setGaussLocalization", "group__FIELD__gauss.html#gabe32954966c2197cee882308e6636eaf", null ],
          [ "getNumberOfGaussPoints", "group__FIELD__gauss.html#ga7e1ac4500e9a72e38437f71913d1e6a1", null ],
          [ "getNumberOfGaussPoints", "group__FIELD__gauss.html#ga0a8e0f79bf302bedd3c87efc2418b88e", null ],
          [ "getNbGaussI", "group__FIELD__gauss.html#gac8fb18bbd1f9551c51cb01bfc2e8b3c5", null ]
        ] ]
      ] ],
      [ "Field values", "group__FIELD__value.html", [
        [ "Functions", "group__FIELD__value.html", [
          [ "getValue", "group__FIELD__value.html#gad155464cbe2c1282616e0ba89db0ab87", null ],
          [ "getRow", "group__FIELD__value.html#ga062f35bdd25ffef7ea39eb614013d063", null ],
          [ "getColumn", "group__FIELD__value.html#ga56aea6d75ffded73933184ca53912926", null ],
          [ "getValueIJ", "group__FIELD__value.html#ga8067ed9f215d1ac2d7fa6e1360e1f042", null ],
          [ "getValueIJK", "group__FIELD__value.html#ga66ff97efc456b3b9c4c6bd684d851423", null ],
          [ "getValueByTypeLength", "group__FIELD__value.html#gaa9ce2698d527f7c0d1c3d835ddf477ba", null ],
          [ "getValueByType", "group__FIELD__value.html#ga6d5de33f14f187eb04ebe091181aa8ab", null ],
          [ "getValueIJByType", "group__FIELD__value.html#ga54d8b166bfc1dd296ea6a45b0c838364", null ],
          [ "getValueIJKByType", "group__FIELD__value.html#gab36a76e3c015cfb80301524859fedbc8", null ],
          [ "setValue", "group__FIELD__value.html#ga10222b501a1c658e4cf527cdaf39a6d8", null ],
          [ "setRow", "group__FIELD__value.html#ga5bcb57269231829ebe663ef00d49657a", null ],
          [ "setColumn", "group__FIELD__value.html#ga91db69d91b11cedb3afcf383e1790af4", null ],
          [ "setValueIJ", "group__FIELD__value.html#ga41b0483b03178dc708f6153712e0916c", null ],
          [ "setValueIJK", "group__FIELD__value.html#ga13cc229eda219ce2640494f6d20caa69", null ],
          [ "setValueIJByType", "group__FIELD__value.html#gac4acaf5abd28f1c24ecf2fded85508ae", null ],
          [ "setValueIJKByType", "group__FIELD__value.html#ga8b5761f3a47130b41630bc02d16bfe36", null ]
        ] ]
      ] ],
      [ "Information about axes", "group__GRID__axes.html", [
        [ "Functions", "group__GRID__axes.html", [
          [ "getArrayLength", "group__GRID__axes.html#gabfc62207103e4a767e7c5ac4bc666876", null ],
          [ "getArrayValue", "group__GRID__axes.html#ga164946a2496df680f5e921fd136c8589", null ]
        ] ]
      ] ],
      [ "Utility methods for defining element positions in the grid", "group__GRID__connectivity.html", [
        [ "Functions", "group__GRID__connectivity.html", [
          [ "getEdgeNumber", "group__GRID__connectivity.html#gadbc9ba85f32c825b6f059d2956ad894b", null ],
          [ "getFaceNumber", "group__GRID__connectivity.html#gafcd3dab90414bdaabba33bfe99dd166a", null ],
          [ "getNodePosition", "group__GRID__connectivity.html#ga741c6005299459758fe3aafc2c0a6059", null ],
          [ "getCellPosition", "group__GRID__connectivity.html#ga5aa6257cf7b212a2b6cb3912e5ff9439", null ],
          [ "getEdgePosition", "group__GRID__connectivity.html#gab0a903f06c26115402b6b1c3eb03a249", null ],
          [ "getFacePosition", "group__GRID__connectivity.html#gae9b69f3a2cb3a885616e7fb40e85cec3", null ]
        ] ]
      ] ],
      [ "Constructors", "group__GRID__constructors.html", [
        [ "Functions", "group__GRID__constructors.html", [
          [ "GRID", "group__GRID__constructors.html#ga22996d4eda4b41867d1c2fa3d9fbea68", null ]
        ] ]
      ] ],
      [ "Constructors", "group__MED__constructors.html", [
        [ "Functions", "group__MED__constructors.html", [
          [ "MED", "group__MED__constructors.html#gac01e758388bd949b4c24723a8d089a23", null ]
        ] ]
      ] ],
      [ "Query methods", "group__MED__query.html", [
        [ "Functions", "group__MED__query.html", [
          [ "getNumberOfMeshes", "group__MED__query.html#gafe002e8b8202e1d597d920da0152943a", null ],
          [ "getNumberOfFields", "group__MED__query.html#ga48847d007aafa33b54bdfa269fa0bbba", null ],
          [ "getMeshNames", "group__MED__query.html#gafcdc5017263cd84e683da24d67ec0a32", null ],
          [ "getMeshNames", "group__MED__query.html#gad622289804dc3cfbdb173c3ba040bc2b", null ],
          [ "getMesh", "group__MED__query.html#gaebd51b901cad7d529e45182f702e2fb3", null ],
          [ "getMesh", "group__MED__query.html#gaca366304b87433ae549309a106eb2a5f", null ],
          [ "getFieldNames", "group__MED__query.html#ga5d4f60b07101b512ef3d8d7431aab002", null ],
          [ "getFieldNames", "group__MED__query.html#ga42ca2f0016de6242668a8d38d3fad7de", null ],
          [ "getFieldIteration", "group__MED__query.html#ga0102b556cf5ee100efd959577259f7b5", null ],
          [ "getField", "group__MED__query.html#ga2042bc955853d2683a8b0ac1018c868f", null ],
          [ "getSupport", "group__MED__query.html#ga1c1a4ec5910eb731eddb9b9e5752a930", null ]
        ] ]
      ] ],
      [ "File I/O methods", "group__MED__io.html", [
        [ "Functions", "group__MED__io.html", [
          [ "addDriver", "group__MED__io.html#gad9a330bed53eae9832b90a25abbcac2c", null ],
          [ "addDriver", "group__MED__io.html#ga59402b4e92eac0275062526fd28e3a6d", null ],
          [ "write", "group__MED__io.html#ga6cffc695c712b672ed337377ef38ad36", null ]
        ] ]
      ] ],
      [ "MESH Constructors", "group__MESH__constructors.html", [
        [ "Functions", "group__MESH__constructors.html", [
          [ "MESH", "group__MESH__constructors.html#ga1cbf5f5ef2402e13dfdd609b21fb756c", null ],
          [ "MESH", "group__MESH__constructors.html#ga4f186525da090842034710ff4ae7717c", null ]
        ] ]
      ] ],
      [ "MESH Advanced features", "group__MESH__advanced.html", [
        [ "Functions", "group__MESH__advanced.html", [
          [ "getBoundaryElements", "group__MESH__advanced.html#ga5bbe6ded6129e313ac695ad779d4f7d6", null ],
          [ "getVolume", "group__MESH__advanced.html#ga73d502c8d6a78d24bc0b80d265c5ac99", null ],
          [ "getArea", "group__MESH__advanced.html#gae359743faaf858e5f53d3539c4a3f311", null ],
          [ "getLength", "group__MESH__advanced.html#ga888d0c9d6f099bafc4295dcf5731dd0c", null ],
          [ "getNormal", "group__MESH__advanced.html#ga6e9c2c5b7adbba8f017ba597b7344b11", null ],
          [ "getBarycenter", "group__MESH__advanced.html#ga83dadcd75cf4a04232343aac17ba1e33", null ],
          [ "getSkin", "group__MESH__advanced.html#gae1d7235360a8bb600c85fec856c4f584", null ],
          [ "mergeSupports", "group__MESH__advanced.html#ga857235753990f3d36972a9e8b476265f", null ],
          [ "intersectSupports", "group__MESH__advanced.html#ga552d1329d246fd8a7b2dd2f24f2ac235", null ]
        ] ]
      ] ],
      [ "MESH Connectivity information", "group__MESH__connectivity.html", [
        [ "Functions", "group__MESH__connectivity.html", [
          [ "getNumberOfTypes", "group__MESH__connectivity.html#ga64b7cf8acb7df1051ef8ab565bb45eb0", null ],
          [ "getTypes", "group__MESH__connectivity.html#gab4cacc0536acb0e38f20232bdc472fe7", null ],
          [ "getGlobalNumberingIndex", "group__MESH__connectivity.html#gad6d03a3bb080c014091bbe8133415890", null ],
          [ "getNumberOfElements", "group__MESH__connectivity.html#gaed62d7df9b2fc2f384d573458942bb33", null ],
          [ "getElementType", "group__MESH__connectivity.html#gadc4d29e963c42e0f29aa5393077da5a7", null ],
          [ "getConnectivity", "group__MESH__connectivity.html#ga9a5c33674cd62e4b4067deef0f25bcbe", null ],
          [ "getConnectivityIndex", "group__MESH__connectivity.html#ga298786847faf621cffb260a25edc6b47", null ]
        ] ]
      ] ],
      [ "MESH Nodes information", "group__MESH__nodes.html", [
        [ "Functions", "group__MESH__nodes.html", [
          [ "getNumberOfNodes", "group__MESH__nodes.html#ga7bc34daa04b02f9db4e1a135aed358a9", null ],
          [ "getCoordinateptr", "group__MESH__nodes.html#ga2b63f98c7743b446c89a662454126f01", null ],
          [ "getCoordinatesSystem", "group__MESH__nodes.html#ga84bffc7b1f8ac47ea5721451c88e34bc", null ],
          [ "getCoordinates", "group__MESH__nodes.html#ga4fca1e40c4e075585f9c79be71d07436", null ],
          [ "getCoordinate", "group__MESH__nodes.html#ga30b35b083e8ed3b4d4eda7a5137d3e4e", null ],
          [ "getCoordinatesNames", "group__MESH__nodes.html#ga0f0e9cf9ae6ac48a1cc2c657773c9e4f", null ],
          [ "getCoordinatesUnits", "group__MESH__nodes.html#ga7c4ef4668901372198130c4c522ce5dc", null ]
        ] ]
      ] ],
      [ "MESH General information", "group__MESH__general.html", [
        [ "Functions", "group__MESH__general.html", [
          [ "deepCompare", "group__MESH__general.html#ga4c1c1ed529c3e0ae78d4ef7c2dd49289", null ],
          [ "getName", "group__MESH__general.html#gade98c3e22383f600817b4631bb69c405", null ],
          [ "setMeshDimension", "group__MESH__general.html#ga703f599709eba2c656606d1e91fedf1d", null ],
          [ "setDescription", "group__MESH__general.html#gac26712f2f85ac32e90863d45e78e5a5b", null ],
          [ "getDescription", "group__MESH__general.html#ga3d3f3d11089c39f6f59eedf3c6e0580b", null ],
          [ "getSpaceDimension", "group__MESH__general.html#gaecf7a1d0461915d3db121b9449edf3a7", null ],
          [ "getMeshDimension", "group__MESH__general.html#ga388a981830bef50996f89a26c67c307d", null ]
        ] ]
      ] ],
      [ "MESH Polygons and Polyhedra information", "group__MESH__poly.html", [
        [ "Functions", "group__MESH__poly.html", [
          [ "getNumberOfTypesWithPoly", "group__MESH__poly.html#ga4e94a6f8fa84afb9e3dab9069a178895", null ],
          [ "getTypesWithPoly", "group__MESH__poly.html#ga2eb958586ab4a6a47e6c9d4bf042f0f8", null ],
          [ "getNumberOfElementsWithPoly", "group__MESH__poly.html#ga321d70319e07886c3d5027710d219436", null ],
          [ "getElementTypeWithPoly", "group__MESH__poly.html#ga1c2d977d51106554ad3db10479a14671", null ],
          [ "getPolygonsConnectivity", "group__MESH__poly.html#gae5c97dadaea2d72288e5b20db18e0600", null ],
          [ "getPolygonsConnectivityIndex", "group__MESH__poly.html#gaee56d5569f050eb31f250dce2e4555f7", null ],
          [ "getNumberOfPolygons", "group__MESH__poly.html#ga19c2ef1f5870d906cfe548bd11a55e2e", null ],
          [ "getPolyhedronConnectivity", "group__MESH__poly.html#gaa3e9dff104c1e68820c166c14348d78e", null ],
          [ "getPolyhedronFacesIndex", "group__MESH__poly.html#gad018766cc39caf0148daaf40396a6663", null ],
          [ "getPolyhedronIndex", "group__MESH__poly.html#gaff6917a2f1ba7bc6acc2efdc9fc00d5b", null ],
          [ "getNumberOfPolyhedronFaces", "group__MESH__poly.html#ga353833f632f17e95bb746844b8ea0f72", null ],
          [ "getNumberOfPolyhedron", "group__MESH__poly.html#ga882106b66dc62118809938f5d34c201f", null ]
        ] ]
      ] ],
      [ "Families and Groups handling", "group__MESH__families.html", [
        [ "Functions", "group__MESH__families.html", [
          [ "getGroup", "group__MESH__families.html#ga1f811146fa15e3e80bfcbd5eacc2b031", null ],
          [ "getGroups", "group__MESH__families.html#ga519c1b9f751b13b5aaf9c46799164fa0", null ]
        ] ]
      ] ],
      [ "Mesh I/O", "group__MESH__io.html", [
        [ "Functions", "group__MESH__io.html", [
          [ "write", "group__MESH__io.html#ga133b6e3a07b204b631d5a88fbd5cbb98", null ]
        ] ]
      ] ],
      [ "Constructors", "group__MESHING__constructors.html", [
        [ "Functions", "group__MESHING__constructors.html", [
          [ "MESHING", "group__MESHING__constructors.html#gafc5bec7187775be44e32503ed6ce1aa8", null ]
        ] ]
      ] ],
      [ "General information settings", "group__MESHING__general.html", [
        [ "Functions", "group__MESHING__general.html", [
          [ "setSpaceDimension", "group__MESHING__general.html#ga79e14c3c781193228402ce675264bb2a", null ],
          [ "setMeshDimension", "group__MESHING__general.html#gac654d8ef02c973966edaffe8a4395cb5", null ],
          [ "setCoordinatesNames", "group__MESHING__general.html#gabe15733ecbf51f8d0f0d3f9ffd62cb3f", null ],
          [ "setCoordinateName", "group__MESHING__general.html#ga57f301b040689c547fe39b5336933f49", null ],
          [ "setCoordinatesUnits", "group__MESHING__general.html#ga1eb44953b256f68fdb77a540c428ae2d", null ],
          [ "setCoordinateUnit", "group__MESHING__general.html#ga7211e1d4586d0ae6db35af585c412528", null ]
        ] ]
      ] ],
      [ "Node coordinates settings", "group__MESHING__nodes.html", [
        [ "Functions", "group__MESHING__nodes.html", [
          [ "setNumberOfNodes", "group__MESHING__nodes.html#ga550c71fe4557ee8e01a65cad2c78f6fd", null ],
          [ "setCoordinates", "group__MESHING__nodes.html#ga0a798202f36e4679c97a3fe64001d848", null ]
        ] ]
      ] ],
      [ "Connectivity settings", "group__MESHING__connectivity.html", [
        [ "Functions", "group__MESHING__connectivity.html", [
          [ "setNumberOfTypes", "group__MESHING__connectivity.html#gab268c650bc703e3dac10281b4f26b5d7", null ],
          [ "setTypes", "group__MESHING__connectivity.html#gae8dcb597f2c66b8eac8365e61cb0f23d", null ],
          [ "setNumberOfElements", "group__MESHING__connectivity.html#gaa6c4abdaa4ff695179883ba815a89e9f", null ],
          [ "setConnectivity", "group__MESHING__connectivity.html#gafafbeab25e25bf39ad8f6c24ee998b36", null ]
        ] ]
      ] ],
      [ "Group creation", "group__MESHING__group.html", [
        [ "Functions", "group__MESHING__group.html", [
          [ "addGroup", "group__MESHING__group.html#gac0e3ac04a22cf53560d5a137f103d037", null ]
        ] ]
      ] ],
      [ "Polygons and Polyhedra creation", "group__MESHING__poly.html", [
        [ "Functions", "group__MESHING__poly.html", [
          [ "setPolygonsConnectivity", "group__MESHING__poly.html#ga899b4990d47e0decf954dcc2afba5150", null ],
          [ "setPolyhedraConnectivity", "group__MESHING__poly.html#ga7d7eb8b078987c9c9b8f54a4be31093e", null ]
        ] ]
      ] ],
      [ "General information", "group__SUPPORT__general.html", null ],
      [ "Creation methods", "group__SUPPORT__creation.html", [
        [ "Functions", "group__SUPPORT__creation.html", [
          [ "setAll", "group__SUPPORT__creation.html#ga65b220bdcaf2ee2f47d26ad30c2808a8", null ]
        ] ]
      ] ],
      [ "Query methods", "group__SUPPORT__query.html", [
        [ "Functions", "group__SUPPORT__query.html", [
          [ "getNumberOfElements", "group__SUPPORT__query.html#gaa84ffcb43c0e1e7b1351a84bbec1d825", null ],
          [ "getNumberOfElements", "group__SUPPORT__query.html#ga854386ac68193e802167e1c61856ea00", null ],
          [ "getnumber", "group__SUPPORT__query.html#gad3921dfc00412239cb89de3469f56ec3", null ],
          [ "getnumberFromFile", "group__SUPPORT__query.html#gab5514dd5ab1cc6ebcd3ad3ee6133a01b", null ],
          [ "getNumber", "group__SUPPORT__query.html#ga0cce202bb2fce5ea84bfdd276eeae0bd", null ],
          [ "getNumberFromFile", "group__SUPPORT__query.html#ga972db1b0b6af51212fa82b39c3bf5edf", null ],
          [ "getNumberIndex", "group__SUPPORT__query.html#ga83e08e845e70c2b8ac9dc1c4947c43ef", null ]
        ] ]
      ] ],
      [ "Constructors", "group__SUPPORT__constructors.html", [
        [ "Functions", "group__SUPPORT__constructors.html", [
          [ "SUPPORT", "group__SUPPORT__constructors.html#ga6d3be27ae7e85603b6c8093a364b95b3", null ]
        ] ]
      ] ],
      [ "Advanced methods", "group__SUPPORT__advanced.html", [
        [ "Functions", "group__SUPPORT__advanced.html", [
          [ "blending", "group__SUPPORT__advanced.html#ga18f058e03ad928c0b85e1e2420a22b19", null ],
          [ "getBoundaryElements", "group__SUPPORT__advanced.html#gaec21c93749b799494d6076eb5047012a", null ],
          [ "intersecting", "group__SUPPORT__advanced.html#ga0846cd8740d6bce1be7af75126adfa84", null ]
        ] ]
      ] ]
    ] ],
    [ "Class List", "annotated.html", [
      [ "_cell", "struct__cell.html", null ],
      [ "AbsEdgeCmp", "structAbsEdgeCmp.html", null ],
      [ "INTERP_KERNEL::ArcCArcCIntersector", "classINTERP__KERNEL_1_1ArcCArcCIntersector.html", null ],
      [ "INTERP_KERNEL::ArcCSegIntersector", "classINTERP__KERNEL_1_1ArcCSegIntersector.html", null ],
      [ "ParaMEDMEM::CommInterface", "classParaMEDMEM_1_1CommInterface.html", null ],
      [ "INTERP_KERNEL::ComposedEdge", "classINTERP__KERNEL_1_1ComposedEdge.html", null ],
      [ "INTERP_KERNEL::CrossTypeEdgeIntersector", "classINTERP__KERNEL_1_1CrossTypeEdgeIntersector.html", null ],
      [ "ParaMEDMEM::DEC", "classParaMEDMEM_1_1DEC.html", null ],
      [ "MEDMEM::DT_IT_", "structMEDMEM_1_1DT__IT__.html", null ],
      [ "INTERP_KERNEL::Edge", "classINTERP__KERNEL_1_1Edge.html", null ],
      [ "INTERP_KERNEL::EdgeArcCircle", "classINTERP__KERNEL_1_1EdgeArcCircle.html", null ],
      [ "INTERP_KERNEL::EdgeIntersector", "classINTERP__KERNEL_1_1EdgeIntersector.html", null ],
      [ "INTERP_KERNEL::EdgeLin", "classINTERP__KERNEL_1_1EdgeLin.html", null ],
      [ "INTERP_KERNEL::ElementaryEdge", "classINTERP__KERNEL_1_1ElementaryEdge.html", null ],
      [ "ParaMEDMEM::ExplicitCoincidentDEC", "classParaMEDMEM_1_1ExplicitCoincidentDEC.html", null ],
      [ "MEDMEM::FIELD< T, INTERLACING_TAG >", "classMEDMEM_1_1FIELD.html", null ],
      [ "MEDMEM::FIELD_", "classMEDMEM_1_1FIELD__.html", null ],
      [ "MEDMEM::GRID", "classMEDMEM_1_1GRID.html", null ],
      [ "INTERP_KERNEL::Interpolation< TrueMainInterpolator >", "classINTERP__KERNEL_1_1Interpolation.html", null ],
      [ "INTERP_KERNEL::Interpolation2D", "classINTERP__KERNEL_1_1Interpolation2D.html", null ],
      [ "INTERP_KERNEL::Interpolation3D", "classINTERP__KERNEL_1_1Interpolation3D.html", null ],
      [ "INTERP_KERNEL::Interpolation3DSurf", "classINTERP__KERNEL_1_1Interpolation3DSurf.html", null ],
      [ "ParaMEDMEM::InterpolationMatrix", "classParaMEDMEM_1_1InterpolationMatrix.html", null ],
      [ "InterpolationOptions", "classInterpolationOptions.html", null ],
      [ "INTERP_KERNEL::IntersectElement", "classINTERP__KERNEL_1_1IntersectElement.html", null ],
      [ "INTERP_KERNEL::IteratorOnComposedEdge", "classINTERP__KERNEL_1_1IteratorOnComposedEdge.html", null ],
      [ "MEDMEM::LT_DT_IT_", "structMEDMEM_1_1LT__DT__IT__.html", null ],
      [ "MEDMEM::MED", "classMEDMEM_1_1MED.html", null ],
      [ "INTERP_KERNEL::MergePoints", "classINTERP__KERNEL_1_1MergePoints.html", null ],
      [ "MEDMEM::MESH", "classMEDMEM_1_1MESH.html", null ],
      [ "MEDMEM::MESHING", "classMEDMEM_1_1MESHING.html", null ],
      [ "MEDMEM::MinMax< T >", "structMEDMEM_1_1MinMax.html", null ],
      [ "MEDMEM::MinMax< double >", "structMEDMEM_1_1MinMax_3_01double_01_4.html", null ],
      [ "MEDMEM::MinMax< int >", "structMEDMEM_1_1MinMax_3_01int_01_4.html", null ],
      [ "ParaMEDMEM::MPIProcessorGroup", "classParaMEDMEM_1_1MPIProcessorGroup.html", null ],
      [ "INTERP_KERNEL::Node", "classINTERP__KERNEL_1_1Node.html", null ],
      [ "ParaMEDMEM::NonCoincidentDEC", "classParaMEDMEM_1_1NonCoincidentDEC.html", null ],
      [ "ParaMEDMEM::ParaFIELD", "classParaMEDMEM_1_1ParaFIELD.html", null ],
      [ "INTERP_KERNEL::PlanarIntersector< MyMeshType, MyMatrix >", "classINTERP__KERNEL_1_1PlanarIntersector.html", null ],
      [ "INTERP_KERNEL::QuadraticPolygon", "classINTERP__KERNEL_1_1QuadraticPolygon.html", null ],
      [ "INTERP_KERNEL::SameTypeEdgeIntersector", "classINTERP__KERNEL_1_1SameTypeEdgeIntersector.html", null ],
      [ "INTERP_KERNEL::SegSegIntersector", "classINTERP__KERNEL_1_1SegSegIntersector.html", null ],
      [ "MEDMEM::SET_VALUE_TYPE< T >", "structMEDMEM_1_1SET__VALUE__TYPE.html", null ],
      [ "MEDMEM::SET_VALUE_TYPE< double >", "structMEDMEM_1_1SET__VALUE__TYPE_3_01double_01_4.html", null ],
      [ "MEDMEM::SET_VALUE_TYPE< int >", "structMEDMEM_1_1SET__VALUE__TYPE_3_01int_01_4.html", null ],
      [ "ParaMEDMEM::StructuredCoincidentDEC", "classParaMEDMEM_1_1StructuredCoincidentDEC.html", null ],
      [ "MEDMEM::SUPPORT", "classMEDMEM_1_1SUPPORT.html", null ],
      [ "INTERP_KERNEL::TargetIntersector< MyMeshType, MyMatrix >", "classINTERP__KERNEL_1_1TargetIntersector.html", null ]
    ] ],
    [ "Class Index", "classes.html", null ],
    [ "Class Hierarchy", "hierarchy.html", [
      [ "_cell", "struct__cell.html", null ],
      [ "AbsEdgeCmp", "structAbsEdgeCmp.html", null ],
      [ "ParaMEDMEM::CommInterface", "classParaMEDMEM_1_1CommInterface.html", null ],
      [ "INTERP_KERNEL::ComposedEdge", "classINTERP__KERNEL_1_1ComposedEdge.html", [
        [ "INTERP_KERNEL::QuadraticPolygon", "classINTERP__KERNEL_1_1QuadraticPolygon.html", null ]
      ] ],
      [ "ParaMEDMEM::DEC", "classParaMEDMEM_1_1DEC.html", [
        [ "ParaMEDMEM::ExplicitCoincidentDEC", "classParaMEDMEM_1_1ExplicitCoincidentDEC.html", null ],
        [ "ParaMEDMEM::NonCoincidentDEC", "classParaMEDMEM_1_1NonCoincidentDEC.html", null ],
        [ "ParaMEDMEM::StructuredCoincidentDEC", "classParaMEDMEM_1_1StructuredCoincidentDEC.html", null ]
      ] ],
      [ "MEDMEM::DT_IT_", "structMEDMEM_1_1DT__IT__.html", null ],
      [ "INTERP_KERNEL::Edge", "classINTERP__KERNEL_1_1Edge.html", [
        [ "INTERP_KERNEL::EdgeArcCircle", "classINTERP__KERNEL_1_1EdgeArcCircle.html", null ],
        [ "INTERP_KERNEL::EdgeLin", "classINTERP__KERNEL_1_1EdgeLin.html", null ]
      ] ],
      [ "INTERP_KERNEL::EdgeIntersector", "classINTERP__KERNEL_1_1EdgeIntersector.html", [
        [ "INTERP_KERNEL::CrossTypeEdgeIntersector", "classINTERP__KERNEL_1_1CrossTypeEdgeIntersector.html", [
          [ "INTERP_KERNEL::ArcCSegIntersector", "classINTERP__KERNEL_1_1ArcCSegIntersector.html", null ]
        ] ],
        [ "INTERP_KERNEL::SameTypeEdgeIntersector", "classINTERP__KERNEL_1_1SameTypeEdgeIntersector.html", [
          [ "INTERP_KERNEL::ArcCArcCIntersector", "classINTERP__KERNEL_1_1ArcCArcCIntersector.html", null ],
          [ "INTERP_KERNEL::SegSegIntersector", "classINTERP__KERNEL_1_1SegSegIntersector.html", null ]
        ] ]
      ] ],
      [ "INTERP_KERNEL::ElementaryEdge", "classINTERP__KERNEL_1_1ElementaryEdge.html", null ],
      [ "MEDMEM::FIELD_", "classMEDMEM_1_1FIELD__.html", [
        [ "MEDMEM::FIELD< T, INTERLACING_TAG >", "classMEDMEM_1_1FIELD.html", null ]
      ] ],
      [ "INTERP_KERNEL::Interpolation2D", "classINTERP__KERNEL_1_1Interpolation2D.html", null ],
      [ "INTERP_KERNEL::Interpolation3DSurf", "classINTERP__KERNEL_1_1Interpolation3DSurf.html", null ],
      [ "ParaMEDMEM::InterpolationMatrix", "classParaMEDMEM_1_1InterpolationMatrix.html", null ],
      [ "InterpolationOptions", "classInterpolationOptions.html", [
        [ "INTERP_KERNEL::Interpolation< TrueMainInterpolator >", "classINTERP__KERNEL_1_1Interpolation.html", null ],
        [ "INTERP_KERNEL::Interpolation< Interpolation3D >", "classINTERP__KERNEL_1_1Interpolation.html", [
          [ "INTERP_KERNEL::Interpolation3D", "classINTERP__KERNEL_1_1Interpolation3D.html", null ]
        ] ]
      ] ],
      [ "INTERP_KERNEL::IntersectElement", "classINTERP__KERNEL_1_1IntersectElement.html", null ],
      [ "INTERP_KERNEL::IteratorOnComposedEdge", "classINTERP__KERNEL_1_1IteratorOnComposedEdge.html", null ],
      [ "MEDMEM::LT_DT_IT_", "structMEDMEM_1_1LT__DT__IT__.html", null ],
      [ "MEDMEM::MED", "classMEDMEM_1_1MED.html", null ],
      [ "INTERP_KERNEL::MergePoints", "classINTERP__KERNEL_1_1MergePoints.html", null ],
      [ "MEDMEM::MESH", "classMEDMEM_1_1MESH.html", [
        [ "MEDMEM::GRID", "classMEDMEM_1_1GRID.html", null ],
        [ "MEDMEM::MESHING", "classMEDMEM_1_1MESHING.html", null ]
      ] ],
      [ "MEDMEM::MinMax< T >", "structMEDMEM_1_1MinMax.html", null ],
      [ "MEDMEM::MinMax< double >", "structMEDMEM_1_1MinMax_3_01double_01_4.html", null ],
      [ "MEDMEM::MinMax< int >", "structMEDMEM_1_1MinMax_3_01int_01_4.html", null ],
      [ "ParaMEDMEM::MPIProcessorGroup", "classParaMEDMEM_1_1MPIProcessorGroup.html", null ],
      [ "INTERP_KERNEL::Node", "classINTERP__KERNEL_1_1Node.html", null ],
      [ "ParaMEDMEM::ParaFIELD", "classParaMEDMEM_1_1ParaFIELD.html", null ],
      [ "MEDMEM::SET_VALUE_TYPE< T >", "structMEDMEM_1_1SET__VALUE__TYPE.html", null ],
      [ "MEDMEM::SET_VALUE_TYPE< double >", "structMEDMEM_1_1SET__VALUE__TYPE_3_01double_01_4.html", null ],
      [ "MEDMEM::SET_VALUE_TYPE< int >", "structMEDMEM_1_1SET__VALUE__TYPE_3_01int_01_4.html", null ],
      [ "MEDMEM::SUPPORT", "classMEDMEM_1_1SUPPORT.html", null ],
      [ "INTERP_KERNEL::TargetIntersector< MyMeshType, MyMatrix >", "classINTERP__KERNEL_1_1TargetIntersector.html", [
        [ "INTERP_KERNEL::PlanarIntersector< MyMeshType, MyMatrix >", "classINTERP__KERNEL_1_1PlanarIntersector.html", null ]
      ] ]
    ] ],
    [ "Class Members", "functions.html", null ],
    [ "Namespace List", "namespaces.html", [
      [ "ICoCo", "namespaceICoCo.html", null ],
      [ "INTERP_KERNEL", "namespaceINTERP__KERNEL.html", null ],
      [ "MEDMEM", "namespaceMEDMEM.html", null ],
      [ "ParaMEDMEM", "namespaceParaMEDMEM.html", null ]
    ] ],
    [ "Namespace Members", "namespacemembers.html", null ],
    [ "File List", "files.html", [
      [ "AbstractEdge.cxx", "AbstractEdge_8cxx.html", null ],
      [ "AbstractEdge.hxx", "AbstractEdge_8hxx.html", null ],
      [ "CommInterface.cxx", "CommInterface_8cxx.html", null ],
      [ "CommInterface.hxx", "CommInterface_8hxx.html", null ],
      [ "ComposedEdge.cxx", "ComposedEdge_8cxx.html", null ],
      [ "ComposedEdge.hxx", "ComposedEdge_8hxx.html", null ],
      [ "DEC.cxx", "DEC_8cxx.html", null ],
      [ "DEC.hxx", "DEC_8hxx.html", null ],
      [ "Edge.cxx", "Edge_8cxx.html", null ],
      [ "Edge.hxx", "Edge_8hxx.html", null ],
      [ "Edge.txx", "Edge_8txx.html", null ],
      [ "EdgeArcCircle.cxx", "EdgeArcCircle_8cxx.html", null ],
      [ "EdgeArcCircle.hxx", "EdgeArcCircle_8hxx.html", null ],
      [ "EdgeLin.cxx", "EdgeLin_8cxx.html", null ],
      [ "EdgeLin.hxx", "EdgeLin_8hxx.html", null ],
      [ "ElementaryEdge.cxx", "ElementaryEdge_8cxx.html", null ],
      [ "ElementaryEdge.hxx", "ElementaryEdge_8hxx.html", null ],
      [ "ExplicitCoincidentDEC.cxx", "ExplicitCoincidentDEC_8cxx.html", null ],
      [ "ExplicitCoincidentDEC.hxx", "ExplicitCoincidentDEC_8hxx.html", null ],
      [ "Interpolation.hxx", "Interpolation_8hxx.html", null ],
      [ "Interpolation.txx", "Interpolation_8txx.html", null ],
      [ "Interpolation2D.hxx", "Interpolation2D_8hxx.html", null ],
      [ "Interpolation2D.txx", "Interpolation2D_8txx.html", null ],
      [ "Interpolation3D.hxx", "Interpolation3D_8hxx.html", null ],
      [ "Interpolation3D.txx", "Interpolation3D_8txx.html", null ],
      [ "Interpolation3DSurf.hxx", "Interpolation3DSurf_8hxx.html", null ],
      [ "Interpolation3DSurf.txx", "Interpolation3DSurf_8txx.html", null ],
      [ "InterpolationMatrix.cxx", "InterpolationMatrix_8cxx.html", null ],
      [ "InterpolationMatrix.hxx", "InterpolationMatrix_8hxx.html", null ],
      [ "MEDMEM_Field.cxx", "MEDMEM__Field_8cxx.html", null ],
      [ "MEDMEM_Field.hxx", "MEDMEM__Field_8hxx.html", null ],
      [ "MEDMEM_Grid.cxx", "MEDMEM__Grid_8cxx.html", null ],
      [ "MEDMEM_Grid.hxx", "MEDMEM__Grid_8hxx.html", null ],
      [ "MEDMEM_Med.cxx", "MEDMEM__Med_8cxx.html", null ],
      [ "MEDMEM_Med.hxx", "MEDMEM__Med_8hxx.html", null ],
      [ "MEDMEM_Mesh.cxx", "MEDMEM__Mesh_8cxx.html", null ],
      [ "MEDMEM_Mesh.hxx", "MEDMEM__Mesh_8hxx.html", null ],
      [ "MEDMEM_Meshing.cxx", "MEDMEM__Meshing_8cxx.html", null ],
      [ "MEDMEM_Meshing.hxx", "MEDMEM__Meshing_8hxx.html", null ],
      [ "MEDMEM_Support.cxx", "MEDMEM__Support_8cxx.html", null ],
      [ "MEDMEM_Support.hxx", "MEDMEM__Support_8hxx.html", null ],
      [ "MPIProcessorGroup.cxx", "MPIProcessorGroup_8cxx.html", null ],
      [ "MPIProcessorGroup.hxx", "MPIProcessorGroup_8hxx.html", null ],
      [ "Node.cxx", "Node_8cxx.html", null ],
      [ "Node.hxx", "Node_8hxx.html", null ],
      [ "NonCoincidentDEC.cxx", "NonCoincidentDEC_8cxx.html", null ],
      [ "NonCoincidentDEC.hxx", "NonCoincidentDEC_8hxx.html", null ],
      [ "ParaFIELD.cxx", "ParaFIELD_8cxx.html", null ],
      [ "ParaFIELD.hxx", "ParaFIELD_8hxx.html", null ],
      [ "PlanarIntersector.hxx", "PlanarIntersector_8hxx.html", null ],
      [ "PlanarIntersector.txx", "PlanarIntersector_8txx.html", null ],
      [ "QuadraticPolygon.cxx", "QuadraticPolygon_8cxx.html", null ],
      [ "QuadraticPolygon.hxx", "QuadraticPolygon_8hxx.html", null ],
      [ "StructuredCoincidentDEC.cxx", "StructuredCoincidentDEC_8cxx.html", null ],
      [ "StructuredCoincidentDEC.hxx", "StructuredCoincidentDEC_8hxx.html", null ],
      [ "TargetIntersector.hxx", "TargetIntersector_8hxx.html", null ]
    ] ],
    [ "Examples", "examples.html", [
      [ "FIELDcreate.cxx", "FIELDcreate_8cxx-example.html", null ],
      [ "MESHcoordinates.cxx", "MESHcoordinates_8cxx-example.html", null ],
      [ "MESHgeneral.cxx", "MESHgeneral_8cxx-example.html", null ],
      [ "read_example.cxx", "read_example_8cxx-example.html", null ]
    ] ],
    [ "File Members", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

